Subject: Looking for Standards

From: Lars Pfuhl <[email-masked]>
Date: Tue, 13 Feb 2001 17:46:20 +0100

Hello,

I'm looking for some standards (RFCs) dealing with certificate
management over http. The standard must describe how to store and to
get certificates from a certificate server. I've only found the rfc
for OCSP (rfc 2560) but it contains only the standards for checking
the status of a certificate. If you have a hint for me which rfc is
the right it would be very nice.

Thanks in advance.

Lars Pfuhl
-- 
bone labs ... Secure eBusiness
     Try our Internet-WorkTeam platform at http://www.centerworks.de
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
bone labs GmbH                         Lars Pfuhl
PF 171134, D-10203 Berlin              
phone +49-(0)30-293475-0               email   [email-masked]
fax   +49-(0)30-293475-99              web   http://www.bonelabs.com

---

From: "David P. Kemp" <[email-masked]>
Date: Tue, 13 Feb 2001 13:09:26 -0500 (EST)

> From: [email-masked] (Peter Gutmann)
> To: [email-masked], [email-masked]
> Subject: Re:  Looking for Standards
> X-Charge-To: pgut001
> X-Authenticated: relaymail v0.9 on kahu.cs.auckland.ac.nz
> Date: Wed, 14 Feb 2001 06:30:13 (NZDT)
> 
> Lars Pfuhl <[email-masked]> writes:
> 
> >I'm looking for some standards (RFCs) dealing with certificate management 
over
> >http. The standard must describe how to store and to get certificates from a
> >certificate server. I've only found the rfc for OCSP (rfc 2560) but it
> >contains only the standards for checking the status of a certificate. If you
> >have a hint for me which rfc is the right it would be very nice.
> 
> There's no standard for this, but I've come across a number of people/
> organisations who have invented their own methods for it (it's so simple that
> there's not much to it, however Sod's law results in everyone choosing not-
> quite-the-same way to do the same thing).  I created a sketch of this a while
> back for a company who were setting up a national cert database here, I could
> turn this into an RFC draft fairly easily if there's any interest, mostly to
> provide some sort of common ground for implementors.
> 
> Peter.

Presumably you meant to say "There's no standard for this other
than RFC 2585", which "specifies the conventions for using FTP and
HTTP to obtain certificates and CRLs from PKI repositories."